Как установить обновленную версию PEAR /PHPUnit на Ubuntu?

В большинстве обучающих онлайн показано, как установить PEAR, выполнив следующие действия:

sudo apt-get install php-pear

Это устанавливает версию 1.6.1. Он отлично работает, потому что это очень просто! Моя проблема в том, что я хочу установить PHPUnit, и для этого требуется PEAR версии 1.8.1, поэтому моя установка PHPUnit не удалась. Итак, как мне установить более новую версию PEAR на Ubuntu?

42 голоса | спросил Andrew 14 +04002009-10-14T04:22:35+04:00312009bEurope/MoscowWed, 14 Oct 2009 04:22:35 +0400 2009, 04:22:35

3 ответа


78

Сначала установите PEAR.

sudo apt-get install php-pear

Затем скажите PEAR обновить свой собственный канал.

sudo pear channel-update pear.php.net

Затем сообщите PEAR, чтобы он обновил себя до самой новой версии.

sudo pear upgrade-all

Теперь у вас должна быть установлена ​​самая новая версия PEAR.

Чтобы установить PHPUnit, пусть PEAR знает, где найти PHPUnit.

sudo pear channel-discover pear.phpunit.de

Затем установите PHPUnit. (-a гарантирует, что все пакеты зависимостей также установлены)

sudo pear install -a phpunit/PHPUnit

Update:

Согласно последней документации по установке PHPUnit , вы можете установить PHPUnit со следующими командами (убедитесь, что вы сначала обновили PEAR):

sudo pear config-set auto_discover 1
sudo pear install pear.phpunit.de/PHPUnit
ответил Andrew 14 +04002009-10-14T05:03:51+04:00312009bEurope/MoscowWed, 14 Oct 2009 05:03:51 +0400 2009, 05:03:51
9

В последних версиях PhpUnit требуются компоненты ez /zeta & Symantec's YAML lib

sudo apt-get install php-pear
sudo pear channel-update pear.php.net
sudo pear upgrade-all
sudo pear channel-discover pear.phpunit.de
sudo pear channel-discover components.ez.no
sudo pear channel-discover pear.symfony-project.com
sudo pear install -a phpunit/PHPUnit

См. последний обновленный учебник по установке здесь

ответил Ronan 10 Jam1000000amMon, 10 Jan 2011 00:22:16 +030011 2011, 00:22:16
3

Если установка с использованием команды выше не удалась, вам может потребоваться установить Net_URL2-0.3.1, а затем HTTP_Request2-2.0.0RC1 перед установкой PHPUnit на Ubuntu. Найдите последнюю версию вышеуказанных пакетов и установите их.

Пример:

sudo apt-get install curl

sudo pear install pear/Net_URL2-0.3.1

sudo pear install pear/HTTP_Request2-2.0.0RC1

sudo pear install -a phpunit/PHPUnit

ответил Pi3cH 30 J000000Saturday11 2011, 11:26:50

Похожие вопросы

Популярные теги

security × 330linux × 316macos × 2827 × 268performance × 244command-line × 241sql-server × 235joomla-3.x × 222java × 189c++ × 186windows × 180cisco × 168bash × 158c# × 142gmail × 139arduino-uno × 139javascript × 134ssh × 133seo × 132mysql × 132